#!/usr/bin/env python
# $URL: https://ccc-gistemp.googlecode.com/svn/branches/2011-05-18/gsoc/CCCgistemp/tool/subboxv2.py $
# $Rev: 784 $
#
# subboxv2.py
#
# David Jones, Ravenbrook Limited, 2010-03-12

import extend_path

# Clear Climate Code
import gio

def convert(inp, out):
    """Convert a file inp from subbox to V2 mean format."""

    # Clear Climate Code
    from code import eqarea

    v2 = gio.GHCNV2Writer(file=out, scale=0.01)

    subbox = iter(gio.SubboxReader(inp))
    # First record is metadata, which we ignore.
    subbox.next()
    for record in subbox:
        lat,lon = eqarea.centre(record.box)
        record.uid = '%+05.1f%+06.1fC' % (lat,lon)
        v2.write(record)
    v2.close()

def main(argv=None):
    import sys
    if argv is None:
        argv = sys.argv

    arg = argv[1:]
    if len(arg) <= 1:
        out = sys.stdout
    else:
        out = open(arg[1])
    
    return convert(open(arg[0]), out)

if __name__ == '__main__':
    main()
